using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;

public partial class ct_dynamique : System.Web.UI.Page
{
    private Button b;

    protected void Page_Load(object sender, EventArgs e)
    {
        // création dynamique du bouton
        b = new Button();
        b.Text = "Cliquer-ici";
        b.ID = "bouton";

        // le bouton doit être un descendant du formulaire
        form1.Controls.Add(b);

        // inscription d'un gestionnaire d'événement
        b.Click += new EventHandler(b_Click);
    }

    void b_Click(object sender, EventArgs e)
    {
        Label1.Text = "Vouz avez cliqué";
    }
}